> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the total amount of a token received on a specific chain, for cross-chain transfers.

> Calculates and returns the total received token amount per wallet address, per sending chain, within a specified time range, for a given receiving chain and receiving token. Only aggregates cross-chain transfers, meaning transfers with distinct sending and receiving chains.



## OpenAPI

````yaml get /v1/analytics/transfers/summary
openapi: 3.0.2
info:
  title: LI.FI API
  version: 1.0.0
  description: >-
    LI.FI provides the best cross-chain swap across all liquidity pools and
    bridges.
servers:
  - url: https://li.quest
    description: LI.FI Production Environment
  - url: https://staging.li.quest
    description: LI.FI Staging Environment
security: []
paths:
  /v1/analytics/transfers/summary:
    get:
      summary: >-
        Get the total amount of a token received on a specific chain, for
        cross-chain transfers.
      description: >-
        Calculates and returns the total received token amount per wallet
        address, per sending chain, within a specified time range, for a given
        receiving chain and receiving token. Only aggregates cross-chain
        transfers, meaning transfers with distinct sending and receiving chains.
      parameters:
        - $ref: '#/components/parameters/paginationLimit'
        - $ref: '#/components/parameters/paginationNext'
        - $ref: '#/components/parameters/paginationPrevious'
        - name: fromTimestamp
          description: >
            A Unix timestamp in seconds marking the start of the query period,
            inclusive. Transactions older than this timestamp will not be
            included in the summary.
          schema:
            type: string
          in: query
          required: true
        - name: toTimestamp
          description: >
            A Unix timestamp in seconds marking the end of the query period,
            inclusive. Transactions after this timestamp will not be included in
            the summary. **The maximum range supported by the endpoint is 30
            days.**
          schema:
            type: string
          in: query
          required: true
        - name: toChain
          description: >
            The ID, or key of the chain on the receiving side of the transfer.
            This parameter filters the summary to include only transfers
            received on the specified chain.
          schema:
            type: string
          in: query
          required: true
        - name: toToken
          description: >
            The address, or symbol of the token received in the transfers. This
            parameter filters the summary to include only transfers involving
            the specified token on the receiving chain.
          schema:
            type: number
          in: query
          required: true
        - name: fromChain
          description: >
            The ID, or key of the chain on the sending side of the transfers.
            This parameter filters the summary to include only transfers sent
            from the specified chain.
          schema:
            type: number
          in: query
          required: false
        - name: integrator
          description: >
            The integrator string to filter transfers by. This parameter filters
            the summary to include only transfers for the given integrator.
          schema:
            type: string
          in: query
          required: false
      responses:
        '200':
          $ref: '#/components/responses/TransfersSummaryResponse'
components:
  parameters:
    paginationLimit:
      name: limit
      description: Pagination limit. Defines the maximum number of returned results.
      schema:
        default: 10
        type: integer
      in: query
      required: false
    paginationNext:
      name: next
      description: >-
        The next page cursor. Must come from the `next` field of the response of
        the previous request.
      schema:
        type: string
      in: query
      required: false
    paginationPrevious:
      name: previous
      description: >-
        The previous page cursor. Must come from the `previous` field of the
        response of the previous request.
      schema:
        type: string
      in: query
      required: false
  responses:
    TransfersSummaryResponse:
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/PaginatedResult'
              - type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TransfersSummaryResult'
      description: Response for `GET /analytics/transfers/summary` endpoint
  schemas:
    PaginatedResult:
      title: Pagination Query Parameters
      description: Parameters used to query paginated endpoints
      type: object
      properties:
        hasNext:
          description: Flag indicating if there is a next page
          default: false
          type: boolean
        hasPrevious:
          description: Flag indicating if there is a previous page
          default: false
          type: boolean
        next:
          nullable: true
          description: >-
            Cursor for fetching the next page. Should be passed to `next` in the
            pagination query.
          type: string
        previous:
          nullable: true
          description: >-
            Cursor for fetching the previous page. Should be passed to
            `previous` in the pagination query.
          type: string
        data:
          description: 'An array containing the paginated data returned by the endpoint '
    TransfersSummaryResult:
      title: Transfers Summary
      description: >-
        Transfers summary element as returned by GET
        /v1/analytics/transfers/summary endpoint
      type: object
      properties:
        id:
          type: object
          properties:
            toAddress:
              description: The address in the receiving side of the transfer
              type: string
            sendingChainId:
              description: The ID of the chain the transfer was sent from
              type: number
        totalReceivedAmount:
          description: The cumulative amount of token received
          type: number

````